"use client"
import React, { useState, CSSProperties, useEffect } from 'react'
import { useTransition, animated, AnimatedProps, useSpringRef } from '@react-spring/web'

const pages = [
  ({ style }) => <animated.div style={{ ...style, background: '#12aab4' }}><a href="/absurd-trolley-problems"><h1 className="text-4xl sm:text-5xl md:text-8xl lg:text-9xl font-extrabold">Quizzes</h1></a></animated.div>,
  ({ style }) => <animated.div style={{ ...style, background: '#33709d' }}><a href="#"><h1 className="text-4xl sm:text-5xl md:text-8xl lg:text-9xl font-extrabold">Match Day Card</h1></a></animated.div>,
  ({ style }) => <animated.div style={{ ...style, background: '#2ca9bc' }}><a href="#"><h1 className="text-4xl sm:text-5xl md:text-8xl lg:text-9xl font-extrabold">Goal or Assist !?</h1></a></animated.div>,
]

export default function Sections() {
  const [index, set] = useState(0)
  const onClick = () => set(state => (state + 1) % 3)
  const transRef = useSpringRef()
  const transitions = useTransition(index, {
    ref: transRef,
    keys: null,
    from: { opacity: 0, transform: 'translate3d(100%,0,0)' },
    enter: { opacity: 1, transform:'translate3d(0%,0,0)'   },
    leave: { opacity: 0.5, transform:'translate3d(-50%,0,0)' },
  })
  useEffect(() => {
    transRef.start()
  }, [index])
  return (
    <div className={`flex fill secs-container`} onClick={onClick}>
      {transitions((style, i) => {
        const Page = pages[i]
        return <Page style={style} />
      })}
    </div>
  )
}

